All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
I2C Driver
I2C: Inter-Integrated Circuit Driver

## Overview

## Files

file | fsl_i2c.h

## Macros

#define | I2C_RETRY_TIMES 0U /* Define to zero means keep waiting until the flag is assert/deassert. */
| Retry times for waiting flag. More...
#define | I2C_STAT_MSTCODE_IDLE (0)
| Master Idle State Code.
#define | I2C_STAT_MSTCODE_RXREADY (1UL)
| Master Receive Ready State Code.
#define | I2C_STAT_MSTCODE_TXREADY (2UL)
| Master Transmit Ready State Code.
#define | I2C_STAT_MSTCODE_NACKADR (3UL)
| Master NACK by slave on address State Code.
#define | I2C_STAT_MSTCODE_NACKDAT (4UL)
| Master NACK by slave on data State Code.

## Enumerations

enum

{
kStatus_I2C_Busy = MAKE_STATUS(kStatusGroup_LPC_I2C, 0),
kStatus_I2C_Idle = MAKE_STATUS(kStatusGroup_LPC_I2C, 1),
kStatus_I2C_Nak = MAKE_STATUS(kStatusGroup_LPC_I2C, 2),
kStatus_I2C_InvalidParameter,
kStatus_I2C_BitError = MAKE_STATUS(kStatusGroup_LPC_I2C, 4),
kStatus_I2C_ArbitrationLost = MAKE_STATUS(kStatusGroup_LPC_I2C, 5),
kStatus_I2C_NoTransferInProgress,
kStatus_I2C_DmaRequestFail = MAKE_STATUS(kStatusGroup_LPC_I2C, 7),
kStatus_I2C_StartStopError = MAKE_STATUS(kStatusGroup_LPC_I2C, 8),
kStatus_I2C_UnexpectedState = MAKE_STATUS(kStatusGroup_LPC_I2C, 9),
kStatus_I2C_Addr_Nak = MAKE_STATUS(kStatusGroup_LPC_I2C, 10),
kStatus_I2C_Timeout = MAKE_STATUS(kStatusGroup_LPC_I2C, 11)
}

| I2C status return codes. More...

## Driver version

#define | FSL_I2C_DRIVER_VERSION (MAKE_VERSION(2, 1, 0))
| I2C driver version. More...

## Macro Definition Documentation

#define FSL_I2C_DRIVER_VERSION (MAKE_VERSION(2, 1, 0))

#define I2C_RETRY_TIMES 0U /* Define to zero means keep waiting until the flag is assert/deassert. */

## Enumeration Type Documentation

anonymous enum

Enumerator
kStatus_I2C_Busy | The master is already performing a transfer.
kStatus_I2C_Idle | The slave driver is idle.
kStatus_I2C_Nak | The slave device sent a NAK in response to a byte.
kStatus_I2C_InvalidParameter | Unable to proceed due to invalid parameter.
kStatus_I2C_BitError | Transferred bit was not seen on the bus.
kStatus_I2C_ArbitrationLost | Arbitration lost error.
kStatus_I2C_NoTransferInProgress | Attempt to abort a transfer when one is not in progress.
kStatus_I2C_DmaRequestFail | DMA request failed.
kStatus_I2C_StartStopError | Start and stop error.
kStatus_I2C_UnexpectedState | Unexpected state.
kStatus_I2C_Addr_Nak | NAK received during the address probe.
kStatus_I2C_Timeout | Timeout polling status flags.